Page MenuHomePhabricator

Re-examine user experience of anonymous users who have been disabled from editing anonymously
Closed, ResolvedPublic

Description

Split out from bug 52442 comment 15:

The only problem that I see in the current situation is wrong impression from
the message that tells anonymous editors "You must be logged in to edit pages
on mobile". I think the edit button shouldn't be displayed for anonymous at all
if they don't have right to use it (to be consistent with permissions, as in
the case of "create" article in enwiki for anonymous), or at least should tell
users are welcomed to use desktop version. Maybe you should ask Jorm will have
a better idea...


This is actually two issues, as I see it. One issue is covered by bug 52442 (labeling tweak); this bug will cover the second issue (user experience for anons when editing has been disabled for them).

When you go to (for example) http://en.m.wikipedia.org/wiki/SMS_Prinzregent_Luitpold while logged out, there's a pencil icon, same as there is when you have permission to edit. However, this button is non-functional. While the desktop experience changes "edit" (or "edit this page") to "view source" in the user interface, MobileFrontend uses the same icon in both cases, I believe. Suddenly the pencil icon (without an accompanying lock earring) doesn't always mean that you can actually edit.

When you click "edit" and don't have permission, a message appears saying "You must be logged in to edit pages on mobile". This message language should be tweaked (the subject of bug 52442). However, in addition, we may want to consider adding an "edit on desktop" link to this message as part of resolving this bug as the desktop editor can still be used while anonymous editing has temporarily been disabled (bug 53069).


Version: unspecified
Severity: enhancement

Details

Reference
bz53073

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:00 AM
bzimport set Reference to bz53073.
bzimport added a subscriber: Unknown Object (MLST).

To clarify the edit icon without a lock means "it is possible to edit this page" regardless of whether logged in or not. If logged out if however prompts the user to log in.

I think what MZ is suggesting is that this message should somehow clarify it is possible to edit on desktop possibly even passing a link to desktop. I'm not sure this is the best idea as the majority of editors we see on mobile are first time users and I worry that this might create a poor and potentially off putting first experience of editing....

(In reply to comment #1)

To clarify the edit icon without a lock means "it is possible to edit this
page" regardless of whether logged in or not. If logged out if however
prompts the user to log in.

It does more than prompt... anonymous edits are disabled.

The edit icon is proving to be a huge funnel for account creation and we would be silly to hide it for anonymous editors.

As part of enabling anonymous editing (bug 53076) we could potentially add a link under login and sign up to edit anonymously.

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 7:17 AM
Nemo_bis changed the task status from Declined to Resolved.May 15 2016, 10:28 AM
Nemo_bis added a subscriber: Nemo_bis.

This has been resolved in the meanwhile, mostly by T93210.